commit:     4159d8d27c8d0e126d8f04280575c211c904298d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 26 09:13:36 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jun 26 09:13:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4159d8d2

net-im/fractal: Bump to 12_beta

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-im/fractal/Manifest               |   2 +
 net-im/fractal/fractal-12_beta.ebuild | 103 ++++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

diff --git a/net-im/fractal/Manifest b/net-im/fractal/Manifest
index 8e12e0938d4f..346feaff8c63 100644
--- a/net-im/fractal/Manifest
+++ b/net-im/fractal/Manifest
@@ -4,3 +4,5 @@ DIST fractal-11.1-crates.tar.xz 49229600 BLAKE2B 
e8fc44f5c498fbb3576982a641fbab7
 DIST fractal-11.1.tar.bz2 2023743 BLAKE2B 
8b0fb519e557400174d76c358565b663cf28c7ac26d212f6b3cb7da9c08d8c1db64b93c74905d488eee8de4c846ea4d5bcdb8b2b90390f55977212634834dca9
 SHA512 
c6c86a9fe02f0aa9526f41383c684db62d2e32af4b48fbdb6770871b733fc49982ac7f83579580dd40b7f6c0bb036294dfcbec7dcdaf3f2940be8596aea101dc
 DIST fractal-11.2-crates.tar.xz 49249088 BLAKE2B 
c81dcccc1ed2ed3d06c7014b3002b2bded7283b0c730a042cadde5aa9fa53db70f295e4f194274330049492e7b1c5a06f81f284bdcb1bdf2d46fc63c810f3314
 SHA512 
7323b2df66a6ffd06e4a118fbe55aba3ff0892e1a3a296c2284c2e3a70472d2fbea626c3e3822f86c878900a7d644979f2f1b9b62fe3fffb80b968eaa9bff45a
 DIST fractal-11.2.tar.bz2 2024324 BLAKE2B 
86245a43b51087215ea110d47b4961a7f82d378fac24f2e044b0f49a305db0212e53dd380bb793b8b5aefccc240e9451db0b0049431f4ec9770b11cda86d080b
 SHA512 
e89f5be89a345400130a7383b9b6396f7e507c412c35bb048380c274dc587c9ea7f172ab260943e717b14f3b56bc12019146e7c1def40440e4ebc532c60ace6e
+DIST fractal-12.beta-crates.tar.xz 48832280 BLAKE2B 
5464411a2cba2e88030cc5008143cc3d88eecaa8127ca9f01e634380630dd0fe16fcdcc94f9d0b9204f4730473bfccb6b04b05778b00736cb8442b222af1b761
 SHA512 
206f8a5bf20fb37007583e0f47ff4bc91cb748eddb262f01ba464eb3e32595654f57329dc91217f56b02f2494c81b37010a07c58ad50511321d3bcbff8806fee
+DIST fractal-12.beta.tar.bz2 2052948 BLAKE2B 
12b51d9cb01f313be808f9d58350a854856d2792cc3d9682a105c433f97474ddbf37ec1df2c7468bb5d56efd59cc84d3b68e980086be39bf7fe0ccf1c5da7e69
 SHA512 
6721156f0c771141d64323ff119fb01a46dd2aa0b1bd264c45dc3bf23414f715d6e4e892f7ab7779961c14296c3cf1ea3e633d74bd75afdb60ba525843e6839e

diff --git a/net-im/fractal/fractal-12_beta.ebuild 
b/net-im/fractal/fractal-12_beta.ebuild
new file mode 100644
index 000000000000..68767420e880
--- /dev/null
+++ b/net-im/fractal/fractal-12_beta.ebuild
@@ -0,0 +1,103 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CRATES="
+"
+
+RUST_MIN_VER="1.82.0"
+
+inherit cargo gnome2-utils meson
+
+MY_P=${P/_/.}
+CRATE_P=fractal-${PV/_/.}
+
+DESCRIPTION="Matrix messaging app for GNOME written in Rust"
+HOMEPAGE="
+       https://wiki.gnome.org/Apps/Fractal
+       https://gitlab.gnome.org/World/fractal/
+"
+SRC_URI="
+       
https://gitlab.gnome.org/World/fractal/-/archive/${PV/_/.}/${MY_P}.tar.bz2
+       ${CARGO_CRATE_URIS}
+"
+if [[ ${PKGBUMPING} != ${PVR} ]]; then
+       SRC_URI+="
+               
https://github.com/gentoo-crate-dist/fractal/releases/download/${PV/_/.}/${CRATE_P}-crates.tar.xz
+       "
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-3+"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       GPL-3+ ISC MIT MPL-2.0 MPL-2.0 Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+DEPEND="
+       >=dev-libs/glib-2.82
+       >=gui-libs/gtk-4.16:4
+       >=gui-libs/libadwaita-1.7:1
+
+       >=media-libs/gstreamer-1.20:1.0
+       >=media-libs/gst-plugins-bad-1.20:1.0
+       >=media-libs/gst-plugins-base-1.20:1.0
+
+       >=gui-libs/gtksourceview-5.0.0:5
+       >=media-libs/libwebp-1.0.0:=
+       >=dev-libs/openssl-3.0.0:=
+       >=media-libs/libshumate-1.2:1.0
+       >=dev-db/sqlite-3.24.0:3
+       >=sys-apps/xdg-desktop-portal-1.14.1
+
+       >=media-libs/lcms-2.12.0:2
+       >=sys-libs/libseccomp-2.5.0:=
+
+"
+RDEPEND="
+       ${DEPEND}
+       media-libs/glycin-loaders
+       media-plugins/gst-plugin-gtk4
+       virtual/secret-service
+"
+# clang needed by bindgen
+BDEPEND="
+       llvm-core/clang
+       dev-lang/grass
+"
+
+# Rust
+QA_FLAGS_IGNORED="usr/bin/fractal"
+
+src_prepare() {
+       default
+
+       # upstream overrides are just wrong
+       sed -i -e 's:profile:ignore:' Cargo.toml || die
+
+       # force dev build
+       if use debug; then
+               sed -i -e "s:profile == 'Devel':true:" src/meson.build || die
+       fi
+}
+
+src_configure() {
+       meson_src_configure
+       ln -s "${CARGO_HOME}" "${BUILD_DIR}/cargo-home" || die
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to